Skip to main content
GET
List Pods Endpoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:25
Required range: 1 <= x <= 100
namespace
string | null
Maximum string length: 253
namespaces
string[] | null
name_contains
string | null
Maximum string length: 253
node_name
string | null
Maximum string length: 253
sort_by
string | null
Maximum string length: 50
sort_direction
string | null
Maximum string length: 10

Response

Successful Response

cache_info
CacheInfo · object
required
namespaces
string[]
required
page
integer
required
page_size
integer
required
pods
PodSummary · object[]
required
total_count
integer
required
total_pages
integer
required